Bug 205170 - net/yate: Add SQLITE option; Fix OpenSSL detect problem
Summary: net/yate: Add SQLITE option; Fix OpenSSL detect problem
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Bernard Spil
URL:
Keywords: easy, needs-patch, patch, patch-ready
Depends on:
Blocks:
 
Reported: 2015-12-09 21:18 UTC by Nikola Kolev
Modified: 2015-12-25 17:51 UTC (History)
3 users (show)

See Also:
koobs: maintainer-feedback? (koue)
koobs: merge-quarterly?


Attachments
yate patch (2.39 KB, patch)
2015-12-09 21:18 UTC, Nikola Kolev
koobs: maintainer-approval+
Details | Diff
svn diff from D4706 (5.39 KB, patch)
2015-12-25 14:03 UTC, Bernard Spil
brnrd: maintainer-approval? (koue)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2015-12-11 13:01:49 UTC
Thanks Nikola

The "if ${PORT_OPTIONS:MSQLITE}" block should be converted into an options helper

Also, for future issues, there's no need to link to remote poudriere logs. Feel free to just mention:

* portlint: OK|WARN
* testport: OK (poudriere, <archs>, <versions>, <combinations>)
Comment 2 Bernard Spil freebsd_committer 2015-12-25 14:03:21 UTC
Created attachment 164622 [details]
svn diff from D4706

In addition to the original patch this is a rewrite using OptionsNG and uses alphabetic ordering of options
Comment 3 Martin Wilke freebsd_committer 2015-12-25 14:21:24 UTC
pass over to Bernhard
Comment 4 Bernard Spil freebsd_committer 2015-12-25 14:26:05 UTC
Comment on attachment 164026 [details]
yate patch

Use patch from D4706, includes options refactor and ordering
Comment 5 commit-hook freebsd_committer 2015-12-25 17:50:28 UTC
A commit references this bug:

Author: brnrd
Date: Fri Dec 25 17:49:27 UTC 2015
New revision: 404445
URL: https://svnweb.freebsd.org/changeset/ports/404445

Log:
  net/yate: Fix OpenSSL and SQLite dependencies

    - Convert to OPTIONS helpers
    - Order options alphabetically
    - Add missing OpenSSL dependency
    - Use base OpenSSL path from bsd.openssl.mk
    - Add missing SQLite option and dependency

  PR:		205170
  Reviewed by:	koobs (mentor), feld (mentor), miwi
  Approved by:	koobs (mentor)
  Differential Revision:	https://reviews.freebsd.org/D4706

Changes:
  head/net/yate/Makefile
  head/net/yate/pkg-plist